RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
DeltaVSoft.RCFProto.ThreadPool Class Reference

Represents a server-side thread pool. More...

Inheritance diagram for DeltaVSoft.RCFProto.ThreadPool:

## Public Member Functions
virtual void | Dispose ()
| ThreadPool (uint fixedThreadCount)
| ThreadPool (uint threadMinCount, uint threadMaxCount)
void | SetThreadMinCount (uint threadMinCount)
| Sets the minimum number of threads in the thread pool. More...
uint | GetThreadMinCount ()
| Returns the minimum number of threads in the thread pool. More...
void | SetThreadMaxCount (uint threadMaxCount)
| Sets the maximum number of threads in the thread pool. More...
uint | GetThreadMaxCount ()
| Returns the maximum number of threads in the thread pool. More...
void | SetThreadIdleTimeoutMs (uint threadIdleTimeoutMs)
| Sets the thread idle timeout value, in milliseconds. After a thread has been idle for this time, it will be shut down, unless the thread count is already at the minimum value for the thread pool. More...
uint | GetThreadIdleTimeoutMs ()
| Returns the thread idle timeout value, in milliseconds. More...
void | SetReserveLastThread (bool reserveLastThread)
| If this setting is true, clients will receive an error message right away, if all threads in the thread pool are busy. Otherwise, the client will wait for a thread in the thread pool to become free. More...
bool | GetReserveLastThread ()
void | SetThreadName (string threadName)
| Sets the thread name of the thread pool threads, as visible in a debugger. More...
string | GetThreadName ()
| Returns the thread name of the thread pool threads. More...

## Detailed Description

Represents a server-side thread pool.

## Constructor & Destructor Documentation

DeltaVSoft.RCFProto.ThreadPool.ThreadPool | ( | uint | fixedThreadCount | ) |

DeltaVSoft.RCFProto.ThreadPool.ThreadPool | ( | uint | threadMinCount,
|  | uint | threadMaxCount
| ) |  |

## Member Function Documentation

virtual void DeltaVSoft.RCFProto.ThreadPool.Dispose | ( |  | ) |
| virtual

bool DeltaVSoft.RCFProto.ThreadPool.GetReserveLastThread | ( |  | ) |

uint DeltaVSoft.RCFProto.ThreadPool.GetThreadIdleTimeoutMs | ( |  | ) |

Returns the thread idle timeout value, in milliseconds.

uint DeltaVSoft.RCFProto.ThreadPool.GetThreadMaxCount | ( |  | ) |

Returns the maximum number of threads in the thread pool.

uint DeltaVSoft.RCFProto.ThreadPool.GetThreadMinCount | ( |  | ) |

Returns the minimum number of threads in the thread pool.

string DeltaVSoft.RCFProto.ThreadPool.GetThreadName | ( |  | ) |

Returns the thread name of the thread pool threads.

void DeltaVSoft.RCFProto.ThreadPool.SetReserveLastThread | ( | bool | reserveLastThread | ) |

If this setting is true, clients will receive an error message right away, if all threads in the thread pool are busy. Otherwise, the client will wait for a thread in the thread pool to become free.

void DeltaVSoft.RCFProto.ThreadPool.SetThreadIdleTimeoutMs | ( | uint | threadIdleTimeoutMs | ) |

Sets the thread idle timeout value, in milliseconds. After a thread has been idle for this time, it will be shut down, unless the thread count is already at the minimum value for the thread pool.

void DeltaVSoft.RCFProto.ThreadPool.SetThreadMaxCount | ( | uint | threadMaxCount | ) |

Sets the maximum number of threads in the thread pool.

void DeltaVSoft.RCFProto.ThreadPool.SetThreadMinCount | ( | uint | threadMinCount | ) |

Sets the minimum number of threads in the thread pool.

void DeltaVSoft.RCFProto.ThreadPool.SetThreadName | ( | string | threadName | ) |

Sets the thread name of the thread pool threads, as visible in a debugger.

The documentation for this class was generated from the following file:

- ThreadPool.cs